
Ruby - Bug #8044

Object#methods incompatible with prepend

03/08/2013 09:49 AM - marcandre (Marc-Andre Lafortune)

Status: Closed   

Priority: Normal   

Assignee:    

Target version: 2.1.0   

ruby -v: r39608 Backport:  

Description

Object#methods incompatible with prepend:

o = Object.new

def o.foo; end

o.methods(false) # => [:foo], ok

o.singleton_class.send :prepend, Enumerable

o.methods(false) # => [], should be [:foo]

Related issues:

Has duplicate Ruby - Bug #8045: Object#singleton_methods incompatible with pr... Closed 03/08/2013

Associated revisions

Revision 99126a4c88d3ddb9ea76edf948307c7bfa0fe971 - 03/13/2013 06:13 AM - nobu (Nobuyoshi Nakada)

class.c: from the origin class

class.c (rb_obj_singleton_methods): collect methods from the origin

class.  [ruby-core:53207] [Bug #8044]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39744 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 99126a4c - 03/13/2013 06:13 AM - nobu (Nobuyoshi Nakada)

class.c: from the origin class

class.c (rb_obj_singleton_methods): collect methods from the origin

class.  [ruby-core:53207] [Bug #8044]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39744 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/08/2013 09:55 AM - marcandre (Marc-Andre Lafortune)

{public|protected|private}_methods have the same problem, since they all call class_instance_method_list

#2 - 03/13/2013 03:13 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r39744.

Marc-Andre, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.
